#include <iostream>
#include <algorithm>
#include <vector>
#include <map>
#include <set>
#include <stack>
#include <queue>
#include <cstdio>
#include <ctime>
#include <cmath>
using namespace std;
typedef long long ll;
ll k, s;
bool can1(ll mid, ll m)
{
    return (mid - k) * (mid + k + 1) / 2 - s >= k * m + m * (m + 1) / 2;
}
ll first(ll m)
{
    ll l = 1, r = 10000000000;
    while (l <= r)
    {
        ll mid = (l + r) / 2;
        if (can1(mid, m) && !can1(mid, m-1))
            return mid;
        if (can1(mid, m))
            r = mid-1;
        else
            l = mid+1;
    }
}
bool can(ll m)
{
    ll ans = first(m);
    return (ans - k) * (ans + k + 1) / 2 - s <= ans * m - m * (m - 1) / 2;
}
int main()
{
    cin >> k >> s;
    for (ll i = 0; ; i++)
        if (can(i) && !can(i-1))
    {
        cout << i + k << endl;
        break;
    }
}
