#include <iostream>
#include <string>
#define MAXN 1000001
using namespace std;
string s;
int l;
int left1[MAXN][2];
int right1[MAXN][2];
int ones, zeros;

void init()
{
    left1[0][0] = left1[0][1] = 0;
    ones = zeros = 0;

    for (int i = 0; i < l; i++)
    {
        left1[i + 1][0] = left1[i][0];
        left1[i + 1][1] = left1[i][1];

        if (s[i] == '0')
        {
            zeros++;
            left1[i + 1][0]++;
        }
        else
        {
            ones++;
            left1[i + 1][1]++;
        }
    }

    right1[l + 1][0] = right1[l + 1][1] = 0;

    for (int i = l; i > 0; i--)
    {
        right1[i][0] = right1[i + 1][0];
        right1[i][1] = right1[i + 1][1];

        if (s[i - 1] == '0')
        {
            right1[i][0]++;
        }
        else
        {
            right1[i][1]++;
        }
    }
}

void count()
{
    int counter = 0;

    for (int left2 = 1; left2 <= l; left2++)
    {
        int l0 = left1[left2 - 1][0] - left1[0][0];
        int l1 = left1[left2 - 1][1] - left1[0][1];

        for (int right2 = l; right2 > left2; right2--)
        {
            int r0 = right1[right2 + 1][0] - right1[l + 1][0];
            int r1 = right1[right2 + 1][1] - right1[l + 1][1];

            if (ones - l1 - r1 == zeros - l0 - r0 && (ones - l1 - r1))counter++;
        }
    }

    cout << counter << endl;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin >> s;
    l = s.size();
    init();
    count();

    return 0;

}
